#include <windows.h>
#include "resource.h"

INT_PTR CALLBACK ProcDlg(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    switch (uMsg) {
    case WM_INITDIALOG:
        return TRUE;

    case WM_COMMAND:
        switch (LOWORD(wParam)) {
        case IDOK:
            return TRUE;
        
        case IDCANCEL:
            EndDialog(hDlg, 0);
            return TRUE;

        default:
            break;
        }
    }

    return FALSE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR CmdLine, int CmdShow)
{
    DialogBoxParam(hInstance, MAKEINTRESOURCE(IDD_MAIN), NULL, ProcDlg, (LPARAM)NULL);
    return 0;
}
